StaticCompilationMetadataKeys (Groovy 5.0.6)

Package: org.codehaus.groovy.transform.sc

## [Java] Enum StaticCompilationMetadataKeys

- org.codehaus.groovy.transform.sc.StaticCompilationMetadataKeys

-     public enum StaticCompilationMetadataKeys
      extends Enum

  Static compilation AST node metadata keys.

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `BINARY_EXP_TARGET` | Tells which method should be used in a binary expression.
    `COMPONENT_TYPE` | For list.property expressions, we need the inferred component type.
    `DYNAMIC_OUTER_NODE_CALLBACK` | Callback for dynamic classes that contain statically compiled inner classes or methods.
    `PRIVATE_BRIDGE_METHODS` | Private bridge methods are methods used to access a nestmate's method.
    `PRIVATE_FIELDS_ACCESSORS` | Private fields accessors are methods used to read a nestmate's field.
    `PRIVATE_FIELDS_MUTATORS` | Private fields mutators are methods used to write a nestmate's field.
    `PROPERTY_OWNER` | The type of the class which owns the property.
    `RECEIVER_OF_DYNAMIC_PROPERTY` | If a receiver is the receiver of a dynamic property (for mixed-mode compilation).
    `STATIC_COMPILE_NODE` | Marks a section of code for static compilation.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `compareTo, compareTo, describeConstable, equals, getClass, getDeclaringClass, hashCode, name, notify, notifyAll, ordinal, toString, valueOf, wait, wait, wait`

- - ### Enum Constant Detail

    - #### StaticCompilationMetadataKeys BINARY_EXP_TARGET

      Tells which method should be used in a binary expression.

    - #### StaticCompilationMetadataKeys COMPONENT_TYPE

      For list.property expressions, we need the inferred component type.

    - #### StaticCompilationMetadataKeys DYNAMIC_OUTER_NODE_CALLBACK

      Callback for dynamic classes that contain statically compiled inner classes or methods.

    - #### StaticCompilationMetadataKeys PRIVATE_BRIDGE_METHODS

      Private bridge methods are methods used to access a nestmate's method.

    - #### @Deprecated(since = "5.0.0")
      StaticCompilationMetadataKeys PRIVATE_FIELDS_ACCESSORS

      Private fields accessors are methods used to read a nestmate's field.

    - #### @Deprecated(since = "5.0.0")
      StaticCompilationMetadataKeys PRIVATE_FIELDS_MUTATORS

      Private fields mutators are methods used to write a nestmate's field.

    - #### StaticCompilationMetadataKeys PROPERTY_OWNER

      The type of the class which owns the property.

    - #### StaticCompilationMetadataKeys RECEIVER_OF_DYNAMIC_PROPERTY

      If a receiver is the receiver of a dynamic property (for mixed-mode compilation).

    - #### StaticCompilationMetadataKeys STATIC_COMPILE_NODE

      Marks a section of code for static compilation.